## Créé le 23/7/2020 ##

######################################################
#  ___         __    __  ___         __   ___  ____  #
#  |__| |  |  /  \  /    |__| |  |  /  \  |__| |     #
#  |    |--| |    | ---- |    |--| |    | |\   |--   #
#  |    |  |  \__/  ___/ |    |  |  \__/  | \  |___  #
#                                                    #
######################################################

proc Katyusha_MCD_init {} {
    global tables
    global ID
    global tables_graphique
    global relations
    global relations_graphique
    global heritages
    global heritages_graphique
    global lignes_graphique
    global procedures
    global coords
    global table_tmp
    global relation_tmp
    global heritage_tmp
    global tables_a
    global relations_a
    global heritages_a
    
    # Dictionnaire contenant toutes les tables et leurs informations, sauf graphiques
    set tables [dict create]
    set ID 0
    # Dictionnaire contenant toutes les informations relatives à l'affichage graphique des tables
    set tables_graphique [dict create]
    # Dictionnaire contenant toutes les relations entre les tables et leurs informations, sauf graphiques
    set relations [dict create]
    # Dictionnaire contenant toutes les informations relatives à l'affichage graphique des relations
    set relations_graphique [dict create]
    # Dictionnaire contenant tous les héritages entre les tables et leurs informations, sauf graphiques
    set heritages [dict create]
    # Dictionnaire contenant toutes les informations relatives à l'affichage graphique des héritages
    set heritages_graphique [dict create]
    
    set lignes_graphique [dict create]
    # Dictionnaire contenant toutes les procédures de la base
    set procedures [dict create]
    # Coordonnées temporaires
    set coords [list]
    # Table temporaire
    set table_tmp [dict create]
    # Relation temporaire
    set relation_tmp [dict create]
    # Héritage temporaire
    set heritage_tmp [dict create]
    
    # Dictionnaires de sauvegarde
    set tables_a $tables
    set relations_a $relations
    set heritages_a $heritages
}

proc Katyusha_MCD_nouveau {} {
    .mcd.canvas.c delete table
    .mcd.canvas.c delete relation
    .mcd.canvas.c delete ligne
    Katyusha_MCD_init
    maj_arbre_entites
}
