## Créé le 21/6/2020 ##

######################################################
#  ___         __    __  ___         __   ___  ____  #
#  |__| |  |  /  \  /    |__| |  |  /  \  |__| |     #
#  |    |--| |    | ---- |    |--| |    | |\   |--   #
#  |    |  |  \__/  ___/ |    |  |  \__/  | \  |___  #
#                                                    #
######################################################

##
# Vérifie les relations
# Renvoie 1 si il y a une ou plusieurs erreur(s)
# Sinon, 0
##
proc Katyusha_verification_mcd_relations {relations} {
    set res 0
    # Parcours les relations à la recherche d'une erreur
    foreach {k relation} $relations {
        if {[Katyusha_verification_mcd_relation $relation] == 1} {
            set res 1
        }
    }
    return $res
}

proc Katyusha_verification_mcd_relations {relation} {
    set res 0
    # TODO
    return $res
}

##
# Vérifie les tables
# Renvoie 1 si il y a une ou plusieurs erreur(s)
# Sinon, 0
##
proc Katyusha_verification_mcd_tables {tables} {
    set res 0
    # Parcours les tables à la recherche d'une erreur
    foreach {k table} $tables {
        if {[Katyusha_verification_mcd_table $table] == 1} {
            set res 1
        }
    }
    return $res
}

proc Katyusha_verification_mcd_table {table} {
    set res 0
    # TODO
    return $res
}

##
# Fonction principale de la vérification de l'intégrité et de la cohérence du MCD
##
proc Katyusha_verification_mcd {} {
    global tables
    global relations
    
    set res 0
    
    if {[Katyusha_verification_mcd_tables $tables] == 1 && [Katyusha_verification_mcd_relations $relations] == 1} {
        set res 1
    }
    
    return $res
}